Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.extender.internal.blueprint.activator
Class BlueprintContainerProcessor

    java.lang.Object
      org.eclipse.gemini.blueprint.extender.internal.blueprint.activator.BlueprintContainerProcessor

All Implemented Interfaces:
  EventListener, OsgiBundleApplicationContextListener<OsgiBundleApplicationContextEvent>, OsgiContextProcessor

    public class BlueprintContainerProcessor

extends Object
implements OsgiBundleApplicationContextListener<OsgiBundleApplicationContextEvent>, OsgiContextProcessor

Blueprint specific context processor.

Author:
  Costin Leau

Constructor Summary
`BlueprintContainerProcessor(EventAdminDispatcher dispatcher, org.eclipse.gemini.blueprint.extender.internal.blueprint.activator.BlueprintListenerManager listenerManager, org.osgi.framework.Bundle extenderBundle)`

Method Summary
`void` | `onOsgiApplicationEvent(OsgiBundleApplicationContextEvent evt)` Handles an OSGi application event.
`void` | `postProcessClose(ConfigurableOsgiBundleApplicationContext context)`
`void` | `postProcessRefresh(ConfigurableOsgiBundleApplicationContext context)`
`void` | `postProcessRefreshFailure(ConfigurableOsgiBundleApplicationContext context, Throwable th)`
`void` | `preProcessClose(ConfigurableOsgiBundleApplicationContext context)`
`void` | `preProcessRefresh(ConfigurableOsgiBundleApplicationContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlueprintContainerProcessor

    public BlueprintContainerProcessor(EventAdminDispatcher dispatcher,
                                       org.eclipse.gemini.blueprint.extender.internal.blueprint.activator.BlueprintListenerManager listenerManager,
                                       org.osgi.framework.Bundle extenderBundle)

Method Detail

### postProcessClose

    public void postProcessClose(ConfigurableOsgiBundleApplicationContext context)

  Specified by:
    `postProcessClose` in interface `OsgiContextProcessor`

### postProcessRefresh

    public void postProcessRefresh(ConfigurableOsgiBundleApplicationContext context)

  Specified by:
    `postProcessRefresh` in interface `OsgiContextProcessor`

### postProcessRefreshFailure

    public void postProcessRefreshFailure(ConfigurableOsgiBundleApplicationContext context,
                                          Throwable th)

  Specified by:
    `postProcessRefreshFailure` in interface `OsgiContextProcessor`

### preProcessClose

    public void preProcessClose(ConfigurableOsgiBundleApplicationContext context)

  Specified by:
    `preProcessClose` in interface `OsgiContextProcessor`

### preProcessRefresh

    public void preProcessRefresh(ConfigurableOsgiBundleApplicationContext context)

  Specified by:
    `preProcessRefresh` in interface `OsgiContextProcessor`

### onOsgiApplicationEvent

    public void onOsgiApplicationEvent(OsgiBundleApplicationContextEvent evt)

  Description copied from interface: `OsgiBundleApplicationContextListener`
  Handles an OSGi application event.

  Specified by:
    `onOsgiApplicationEvent` in interface `OsgiBundleApplicationContextListener<OsgiBundleApplicationContextEvent>`
  Parameters:
    `evt` - OSGi application event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.